Subject: bug#75605: aclocal: error: too many loops

From: Karl Berry <[email-masked]>
Date: Mon, 7 Apr 2025 16:44:24 -0600

Hi Santiago - back on:

    aclocal: error: too many loops
    aclocal: Please contact <[email-masked]>.
      at /usr/share/automake-1.16/Automake/Channels.pm line 655.

I still don't know how to improve the error message, but in response to
the same bug report with another package (#77395), I found that in the
past, the error was related to older macros in the package tree
overwriting newer macros found elsewhere, or redefining Autoconf
macros. If you want to pursue it, you might read through
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=49901, which sounds likely
to be the same problem, with some fixes and references.

I'm going to try to merge your report into 77395 since they appear to be
the same issue. --thanks, karl.